## drawterm-9front 0~git20220608.bee4db6

=== Makefile ===
ROOT=.

include Make.config

OFILES=\
	main.$O\
	cpu.$O\
	aan.$O\
	secstore.$O\
	latin1.$O\
	$(OS)-factotum.$O\
	$(XOFILES)\

LIBS1=\
	kern/libkern.a\
	exportfs/libexportfs.a\
	libauth/libauth.a\
	libauthsrv/libauthsrv.a\
	libsec/libsec.a\
	libmp/libmp.a\
	libmemdraw/libmemdraw.a\
	libmemlayer/libmemlayer.a\
	libdraw/libdraw.a\
	gui-$(GUI)/libgui.a\
	libc/libc.a\
	libip/libip.a\

# stupid gcc
LIBS=$(LIBS1) $(LIBS1) $(LIBS1) libmachdep.a

default: $(TARG)
$(TARG): $(OFILES) $(LIBS)
	$(CC) $(LDFLAGS) -o $(TARG) $(OFILES) $(LIBS) $(LDADD)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

clean:
	rm -f *.o */*.o */*.a *.a drawterm drawterm.exe

kern/libkern.a:
	(cd kern; $(MAKE))

exportfs/libexportfs.a:
	(cd exportfs; $(MAKE))

libauth/libauth.a:
	(cd libauth; $(MAKE))
	
libauthsrv/libauthsrv.a:
	(cd libauthsrv; $(MAKE))

libmp/libmp.a:
	(cd libmp; $(MAKE))

libsec/libsec.a:
	(cd libsec; $(MAKE))

libmemdraw/libmemdraw.a:
	(cd libmemdraw; $(MAKE))

libmemlayer/libmemlayer.a:
	(cd libmemlayer; $(MAKE))

libdraw/libdraw.a:
	(cd libdraw; $(MAKE))

libc/libc.a:
	(cd libc; $(MAKE))

libip/libip.a:
	(cd libip; $(MAKE))

gui-$(GUI)/libgui.a:
	(cd gui-$(GUI); $(MAKE))

=== gui-android/Makefile ===
ROOT=..
include ../Make.config
LIB=libgui.a

OFILES=\
	cpp/android.$O\
	cpp/native-lib.$O\
	cpp/devandroid.$O\

default: $(LIB) gen/org/echoline/drawterm/R.java bin/classes.dex
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

gen/org/echoline/drawterm/R.java: $(shell find res/ -type f)
	$(SDKPREFIX)/build-tools/30.0.3/aapt package -f -m -M AndroidManifest.xml -I $(SDKPREFIX)/platforms/android-21/android.jar -S res/ -J gen

bin/classes.dex: obj/org/echoline/drawterm/MainActivity.class obj/org/echoline/drawterm/DrawTermThread.class obj/org/echoline/drawterm/MySurfaceView.class
	$(SDKPREFIX)/build-tools/30.0.3/dx --dex --verbose --output=$@ obj/

obj/org/echoline/drawterm/%.class: java/org/echoline/drawterm/%.java
	$(JAVA_HOME)/bin/javac -d obj/ -classpath $(SDKPREFIX)/platforms/android-21/android.jar -sourcepath java java/org/echoline/drawterm/$*.java gen/org/echoline/drawterm/R.java

=== gui-cocoa/Makefile ===
ROOT=..
include ../Make.config
LIB=libgui.a

OFILES=\
	screen.$O

default: $(LIB) drawterm.app/MainWindow.nib
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.m
	$(CC) $(CFLAGS) -fobjc-arc $*.m

drawterm.app/MainWindow.nib: MainWindow.xib
	ibtool --compile $@ $<

=== gui-fbdev/Makefile ===
ROOT=..
include ../Make.config
LIB=libgui.a

OFILES=\
	fbdev.$O\

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

=== gui-osx/Makefile ===
ROOT=..
include ../Make.config
LIB=libgui.a

OFILES=\
	screen.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== gui-win32/Makefile ===
ROOT=..
include ../Make.config
LIB=libgui.a

OFILES=\
	screen.$O\

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== gui-x11/Makefile ===
ROOT=..
include ../Make.config
LIB=libgui.a

OFILES=\
	x11.$O\
	keysym2ucs-x11.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

x11.$O:	../glenda-t.xbm

=== kern/Makefile ===
ROOT=..
include ../Make.config
LIB=libkern.a

OFILES=\
	alloc.$O\
	allocb.$O\
	chan.$O\
	data.$O\
	dev.$O\
	devaudio.$O\
	devaudio-$(AUDIO).$O\
	devcmd.$O\
	devcons.$O\
	devdraw.$O\
	devenv.$O\
	devfs-$(OS).$O\
	devip.$O\
	devip-$(OS).$O\
	devkbd.$O\
	devlfd-$(OS).$O\
	devmnt.$O\
	devmouse.$O\
	devpipe.$O\
	devroot.$O\
	devssl.$O\
	devtls.$O\
	devtab.$O\
	error.$O\
	parse.$O\
	pgrp.$O\
	procinit.$O\
	rwlock.$O\
	sleep.$O\
	stub.$O\
	sysfile.$O\
	qio.$O\
	qlock.$O\
	term.$O\
	waserror.$O\
	$(OS).$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== libauth/Makefile ===
ROOT=..
include ../Make.config

LIB=libauth.a
OFILES=\
	attr.$O\
	auth_attr.$O\
	auth_proxy.$O\
	auth_rpc.$O\

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== libauthsrv/Makefile ===
ROOT=..
include ../Make.config
LIB=libauthsrv.a

OFILES=\
	_asgetticket.$O\
	_asrdresp.$O\
	convA2M.$O\
	convM2A.$O\
	convM2PR.$O\
	convM2T.$O\
	convM2TR.$O\
	convPR2M.$O\
	convT2M.$O\
	convTR2M.$O\
	nvcsum.$O\
	passtokey.$O\
	readcons.$O\
	_asgetpakkey.$O\
	_asgetresp.$O\
	_asrequest.$O\
	authpak.$O\
	form1.$O\
	

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

authpak.$O:	msqrt.mpc edwards.mpc ed448.mpc decaf.mpc elligator2.mpc spake2ee.mpc

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== libc/Makefile ===
ROOT=..
include ../Make.config
LIB=libc.a

OFILES=\
	atexit.$O\
	charstod.$O\
	cleanname.$O\
	convD2M.$O\
	convM2D.$O\
	convM2S.$O\
	convS2M.$O\
	ctime.$O\
	crypt.$O\
	dial.$O\
	dirfstat.$O\
	dirfwstat.$O\
	dirmodefmt.$O\
	dirstat.$O\
	dirwstat.$O\
	dofmt.$O\
	dorfmt.$O\
	encodefmt.$O\
	fcallfmt.$O\
	fltfmt.$O\
	fmt.$O\
	fmtfd.$O\
	fmtfdflush.$O\
	fmtlock.$O\
	fmtprint.$O\
	fmtquote.$O\
	fmtrune.$O\
	fmtstr.$O\
	fmtvprint.$O\
	fprint.$O\
	getenv.$O\
	getfields.$O\
	lock.$O\
	mallocz.$O\
	nan64.$O\
	netmkaddr.$O\
	nsec.$O\
	pow10.$O\
	pushssl.$O\
	pushtls.$O\
	read9pmsg.$O\
	readn.$O\
	rune.$O\
	runefmtstr.$O\
	runeseprint.$O\
	runesmprint.$O\
	runesnprint.$O\
	runesprint.$O\
	runestrchr.$O\
	runestrlen.$O\
	runestrstr.$O\
	runetype.$O\
	runevseprint.$O\
	runevsmprint.$O\
	runevsnprint.$O\
	seprint.$O\
	smprint.$O\
	snprint.$O\
	sprint.$O\
	strecpy.$O\
	strtod.$O\
	strtoll.$O\
	sysfatal.$O\
	time.$O\
	tokenize.$O\
	truerand.$O\
	u16.$O\
	u32.$O\
	u64.$O\
	utfecpy.$O\
	utflen.$O\
	utfnlen.$O\
	utfrrune.$O\
	utfrune.$O\
	utfutf.$O\
	vfprint.$O\
	vseprint.$O\
	vsmprint.$O\
	vsnprint.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== libdraw/Makefile ===
ROOT=..
include ../Make.config
LIB=libdraw.a

OFILES=\
	alloc.$O\
	arith.$O\
	badrect.$O\
	bytesperline.$O\
	chan.$O\
	defont.$O\
	drawrepl.$O\
	fmt.$O\
	icossin.$O\
	icossin2.$O\
	rectclip.$O\
	rgb.$O

default: $(LIB)
$(LIB): $(OFILES)
	$(AR) r $(LIB) $(OFILES)
	$(RANLIB) $(LIB)

%.$O: %.c
	$(CC) $(CFLAGS) $*.c

=== debian/changelog ===
drawterm-9front (0~git20220608.bee4db6-3) unstable; urgency=medium

  * Switch from OSS to alsa for audio,
    0003-Switch-to-ALSA-audio-from-default-OSS.patch
  * Add build-dependency on libasound2-dev for alsa audio

 -- Ryan Kavanagh <rak@debian.org>  Mon, 18 Jul 2022 13:45:44 -0400

drawterm-9front (0~git20220608.bee4db6-2) unstable; urgency=medium

  * Switch to gbp-pq
  * Support building on armel and armv8l,
    0002-Support-less-common-architectures.patch

 -- Ryan Kavanagh <rak@debian.org>  Sat, 18 Jun 2022 05:01:10 -0400

drawterm-9front (0~git20220608.bee4db6-1) unstable; urgency=medium

  * Initial release (Closes: #1012558)

 -- Ryan Kavanagh <rak@debian.org>  Thu, 09 Jun 2022 04:46:48 -0400

=== debian/control ===
Source: drawterm-9front
Section: x11
Priority: optional
Maintainer: Ryan Kavanagh <rak@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev,
 libx11-dev,
 libxt-dev,
Standards-Version: 4.6.1
Homepage: http://drawterm.9front.org/
Vcs-Browser: https://salsa.debian.org/debian/drawterm-9front
Vcs-Git: https://salsa.debian.org/debian/drawterm-9front.git

Package: drawterm-9front
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 drawterm,
Replaces:
 drawterm,
Description: graphical client for plan9front CPU servers
 Drawterm is a X11 application that allows one to connect to a remote Plan 9
 server, usually a CPU server, but a terminal can also be tweaked to receive
 drawterm clients.
 .
 This is a fork of Russ Cox’s drawterm to incorporate features from Plan9front,
 most importantly DP9IK authentication support and the TLS based rcpu protocol.

=== debian/rules ===
#!/usr/bin/make -f

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export CONF=unix

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	$(MAKE)

override_dh_auto_clean:
	$(MAKE) clean

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

# There are no tags and no upstream tarballs, so nothing to do.
